KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLButtonElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Push button. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#edef-BUTTON"> BUTTON element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLButtonElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | accessKey (self)
| blur (self)
bool | disabled (self)
| focus (self)
DOM.HTMLFormElement | form (self)
DOM.DOMString | name (self)
| setAccessKey (self, DOM.DOMString a0)
| setDisabled (self, bool a0)
| setName (self, DOM.DOMString a0)
| setTabIndex (self, long a0)
| setValue (self, DOM.DOMString a0)
long | tabIndex (self)
DOM.DOMString | type (self)
DOM.DOMString | value (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLButtonElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString accessKey | ( |  | self ) |

A single character access key to give access to the form control. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-accesskey"> accesskey attribute definition in HTML 4.0.

blur | ( |  | self ) |

Removes keyboard focus from this element.

bool disabled | ( |  | self ) |

The control is unavailable in this context. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-disabled"> disabled attribute definition in HTML 4.0.

focus | ( |  | self ) |

Gives keyboard focus to this element.

DOM.HTMLFormElement form | ( |  | self ) |

Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

DOM.DOMString name | ( |  | self ) |

Form control or object name when submitted with a form. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-name-BUTTON"> name attribute definition in HTML 4.0.

setAccessKey | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see accessKey

setDisabled | ( | self, |
|  | bool | a0
| ) |  |  |

see disabled

setName | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see name

setTabIndex | ( | self, |
|  | long | a0
| ) |  |  |

see tabIndex

setValue | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see value

long tabIndex | ( |  | self ) |

Index that represents the element's position in the tabbing order. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-tabindex"> tabindex attribute definition in HTML 4.0.

DOM.DOMString type | ( |  | self ) |

The type of button. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-type-BUTTON"> type attribute definition in HTML 4.0.

DOM.DOMString value | ( |  | self ) |

The current form control value. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-value-BUTTON"> value attribute definition in HTML 4.0.